#include <ros/ros.h>
#include "cubic_polynomial_planner/CubicActionServer.hpp"

int main(int argc, char** argv)
{
    ros::init(argc, argv, "pose_action_server");
    ros::NodeHandle node_handle("~");
    ROS_INFO("Starting pose_action_server node.");
    CubicActionServer cubic_action_server(node_handle);
    ros::Rate loop_rate(500);
    while(ros::ok())
    {
        ros::spinOnce();
        cubic_action_server.update();
        loop_rate.sleep();
    }
    
}


