#include <ros/ros.h>
#include "cubic_polynomial_planner/CubicPolynomialPlanner.hpp"

int main(int argc, char** argv)
{
    ros::init(argc, argv, "pose_planner");
    ros::NodeHandle node_handle("~");
    ROS_INFO("Starting pose_planner node.");
    CubicPolynomialPlanner cubic_polynomial_planner(node_handle);
    ros::Rate loop_rate(500);
    while(ros::ok())
    {
        ros::spinOnce();
        cubic_polynomial_planner.update();
        loop_rate.sleep();
    }
    
}


