#include <ros/ros.h>
#include "keyboard_controller/KeyboardController.hpp"


int main(int argc, char** argv)
{
    ros::init(argc, argv, "keyboard_controller");
    ros::NodeHandle node_handle;
    KeyboardController keyboard_controller(node_handle);
    ros::Rate loop_rate(10); // Keyboard reader frequency ~30 Hz maximum
    while(ros::ok())
    {
        ros::spinOnce();
        keyboard_controller.update();
        loop_rate.sleep();
    }
}